﻿using PIHelperSh.PdfCreator.Enums;
using PIHelperSh.PdfCreator.Interfaces;

namespace PIHelperSh.PdfCreator.Models.TextModels
{
    /// <summary>
    /// Список элементов в PDF
    /// </summary>
    public class PdfList : IPdfElement
    {
        /// <summary>
        /// Элементы списка (параграфы или иные списки)
        /// </summary>
        public List<IPdfElement> Content { get; set; } = new();

        /// <summary>
        /// Отступ после списка (по умолчанию - средний)
        /// </summary>
        public PdfMargin MarginAfter { get; set; } = PdfMargin.Medium;
    }
}
