﻿using AutoMapper;
using Lab3.Database.DTO;
using Lab3.Database.Models;

namespace Lab3.Database.MappingProfiles
{
    public class SessionMappingProfile : Profile
    {
        public SessionMappingProfile() 
        {
            _ = CreateMap<StudentSession, StudentSessionDTO>();
            _ = CreateMap<StudentSessionDTO, StudentSession>()
                .ForMember(s => s.Id, opt => opt.MapFrom(s => Guid.NewGuid()));
        }
    }
}
