﻿using Lab3.Database.DTO;

namespace Lab3.Models
{
    public record StudentViewModel : StudentDTO
    {
        public string SessionMarks => string.Join("; ", StudentSessions
            .OrderBy(s => s.Number)
            .Select(s => $"сессия{s.Number:d}: {s.Score:n2}"));
    }
}
